# OpalStatusMessageWaiting Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_party
| Party for which the MWI is directed.
const char * | m_type
| Type for MWI, "Voice", "Fax", "Pager", "Multimedia", "Text", "None".
const char * | m_extraInfo

## Detailed Description

Message Waiting information for the OpalIndMessageWaiting indication. This is only returned from the OpalGetMessage() function.

## Field Documentation

const char* OpalStatusMessageWaiting::m_extraInfo

Extra information for the MWI, e.g. "SUBSCRIBED", "UNSUBSCRIBED", "2/8 (0/2)"

const char* OpalStatusMessageWaiting::m_party

Party for which the MWI is directed.

const char* OpalStatusMessageWaiting::m_type

Type for MWI, "Voice", "Fax", "Pager", "Multimedia", "Text", "None".

The documentation for this struct was generated from the following file:

- opal.h